#
# spec file for package perl-Tie-Simple
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Tie-Simple
Version:        1.04
Release:        1.31
%define cpan_name Tie-Simple
Summary:        Variable ties made easier: much, much, much easier..
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Tie-Simple/
Source0:        http://www.cpan.org/authors/id/H/HA/HANENKAMP/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module adds the ability to quickly create new types of tie objects
without creating a complete class. It does so in such a way as to try and
make the programmers life easier when it comes to single-use ties that I
find myself wanting to use from time-to-time.

The 'Tie::Simple' package is actually a front-end to other classes which
really do all the work once tied, but this package does the dwimming to
automatically figure out what you're trying to do.

I've tried to make this as intuitive as possible and dependent on other
bits of Perl where I can to minimize the need for documentation and to make
this extra, extra spiffy.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Nov 29 2015 coolo@suse.com
- updated to 1.04
  see /usr/share/doc/packages/perl-Tie-Simple/Changes
  1.04      2015-11-28 11:23:48-06:00 America/Chicago
  * Re-established a public git repository.
  * Cleaned up the repo and switched to Dist::Zilla for development support.
  * [RT#108096] The EXTEND method is no longer available for tied arrays.
    (HT: Slaven Rezic for the fix / Dave Mitchell for finding the problem /
    ANDK for reporting it)
  * Fixed a type in the DESTROY method in Tie::Simple::Handle
* Fri Mar 23 2012 opensuse@dstoecker.de
- initial package
